<?
$sk=split("\|",$player["skills"]);
if ($sk[28]<50) msg("Что бы создать Гильдию, вам нужно иметь минимум 50 уровень!");
					$b=0;
					if ($player["items"]["item.misc.money"]) {
						$money=split("\|",$player["items"]["item.misc.money"]);
						$money[1]-=$dialog[2];
						if ($money[1]>=0) {$b=1; if ($money[1]==0) unset($player["items"]["item.misc.money"]); else $player["items"]["item.misc.money"]=implode("|",$money);}
						}
					if (!$b) msg("<p>У вас недостаточно денег (надо ".$dialog[2]." монет)");
if (!$gildname) {
	$stmp="<form action=\"$PHP_SELF?sid=$sid&speak=$speak&id=$id&\" method=\"post\">
	<p>Название гильдии:\n<br/><input name=\"gildname\" maxlength=\"20\"/>
	<br/><input type=\"submit\" value=\"Создать\"></form>";
	msg($stmp);
}
if ($gildname) {
$gildname=substr($gildname,0,20);
$gildname=str_replace("<","",$gildname);
$gildname=str_replace(">","",$gildname);
$gildname=str_replace("$","",$gildname);
$gildname=str_replace("#","",$gildname);
$gildname=htmlspecialchars($gildname);
	$gilds = implode("",file("gilds.dat"));
	$gilds = unserialize($gilds);
	if (isset($gilds[$gildname])) msg("Такая гильдия уже существует!");
	if (isset($game['loc'][$game[players][$login]][$login]['gild'])) msg("Вы уже и так в гильдии!");
	$game['loc'][$game['players'][$login]][$login]['gild']="^|$gildname";
	$title = $player["title"];
	$gilds[$gildname]["player"][$login] = "^|$title";
	$gilds[$gildname]["count"] = 1;
  	$file1 = fopen ("gilds.dat", "w+");
	fputs($file1,serialize($gilds));
	fclose ($file1);
	unset($gilds);
	$money[1]-=$dialog[2];
	if ($money[1]==0) unset($player["items"]["item.misc.money"]); 
	else $player["items"]["item.misc.money"]=implode("|",$money);
	$stmp="Поздравляю, вы успешно создали гильдию";
	msg($stmp);
}
?>